<?php

/*
=====================================================================

  프로젝트 이름 : 피리 카페 심플

  만든사람 : 피리 PIREE ( tosports@naver.com )

  홈페이지 : https://piree.kr/nett_dev

  작성날짜 : 2024년 04월 04일 목요일 오후 19시 13분 / 흐림, 14.3, 쾌적, 16, 10, 33%, 30%, 2.6ms / 

  저 작 권 : Copyright ⓒ 2024 피리 piree.kr All right reserved
              그누보드 외에 추가된 소스는~
              만든사람의 허락없이 무단으로 사용할수 없습니다.
              사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
              http://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 카페 심플 > 프로그램 > 피리 카페 관리 > 스킨 수정 > 처리하기
=====================================================================


*/

  IF ( !defined('_GNUBOARD_') )                             EXIT;

  include_once( piree__path($piree_prog_a[770000]['num'], 'save.lib.php') );

  IF ( !$piree_cafe_skin_basic_pc_c )
  {
    alert("[ 기본 스킨 > PC 화면 스킨 ]을 선택해 주세요.");
  }

  IF ( !$piree_cafe_skin_basic_mo_c )
  {
    alert("[ 기본 스킨 > 모바일 화면 스킨 ]을 선택해 주세요.");
  }

  IF ( !$piree_cafe_skin_manage_pc_c )
  {
    alert("[ 카페 관리 스킨 > PC 화면 스킨 ]을 선택해 주세요.");
  }

  IF ( !$piree_cafe_skin_manage_mo_c )
  {
    alert("[ 카페 관리 스킨 > 모바일 화면 스킨 ]을 선택해 주세요.");
  }

  $piree_cafe_code_2_c = substr($piree_cafe_code_c, 0, 2);

  $sql_update  = "UPDATE `". $piree['cafe'] ."` SET ";
  $sql_update .= "`cafe_skin_basic_pc_c`  = '". $piree_cafe_skin_basic_pc_c ."', ";
  $sql_update .= "`cafe_skin_basic_mo_c`  = '". $piree_cafe_skin_basic_mo_c ."', ";
  $sql_update .= "`cafe_skin_manage_pc_c` = '". $piree_cafe_skin_manage_pc_c ."', ";
  $sql_update .= "`cafe_skin_manage_mo_c` = '". $piree_cafe_skin_manage_mo_c ."', ";
  $sql_update .= "`cafe_modi_time_n`      = '". G5_SERVER_TIME ."' ";
  $sql_update .= "WHERE `cafe_row_n` = '". $piree_cafe_n ."'";

  IF ( !sql_query($sql_update) )
  {

    alert("피리 카페 [ ". $piree_cafe_name_s ." (". $piree_cafe_code_c .") ]의\\n\\n 스킨을 수정하지 못했습니다.");

  }

?>